package com.jojubanking.boot.module.system.convert.wqwt;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.wqwt.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wqwt.WqwtDO;

/**
 * 问卷调查问题 Convert
 *
 * @author admin
 */
@Mapper
public interface WqwtConvert {

    WqwtConvert INSTANCE = Mappers.getMapper(WqwtConvert.class);

    WqwtDO convert(WqwtCreateReqVO bean);

    WqwtDO convert(WqwtUpdateReqVO bean);

    WqwtRespVO convert(WqwtDO bean);

    List<WqwtRespVO> convertList(List<WqwtDO> list);

    PageResult<WqwtRespVO> convertPage(PageResult<WqwtDO> page);

    List<WqwtExcelVO> convertList02(List<WqwtDO> list);

}
